Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1672274 - Review Request: perl-Regexp-Trie - Build trie-ized regexp
Summary: Review Request: perl-Regexp-Trie - Build trie-ized regexp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1672313
TreeView+ depends on / blocked
 
Reported: 2019-02-04 12:23 UTC by Paul Howarth
Modified: 2019-02-23 02:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-16 01:24:27 UTC
Type: ---
ppisar: fedora-review+


Attachments (Terms of Use)

Description Paul Howarth 2019-02-04 12:23:47 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-Regexp-Trie/branches/fedora/perl-Regexp-Trie.spec

SRPM URL: http://www.city-fan.org/~paul/extras/perl-Regexp-Trie/perl-Regexp-Trie-0.02-1.fc30.src.rpm

Description:
This module is a faster but simpler version of Regexp::Assemble or
Regexp::Optimizer. It builds a trie-ized regexp as above. This module is
faster than Regexp::Assemble but you can only add literals:
a+b is treated as a\+b, not "more than one a's followed by b".

Fedora Account System Username: pghmcfc

Comment 1 Petr Pisar 2019-02-05 08:24:17 UTC
Url and Source0 addresses are Ok.
Source archive (SHA-256: fb2bf94ed8dbc1f4a95d9fc8f710cb67b3f796c6efc9c4bb4c2cfa3ebaa1c5fa) is original. Ok.
Summary verified from lib/Regexp/Trie.pm. Ok.
Description is Ok.
License verified from README and lib/Regexp/Trie.pm. Ok.
No XS code, noarch BuildArch is Ok.

TODO: Do not build-require 'coreutils'. I cannot see where it could be used.
TODO: Build-require 'perl(:VERSION) >= 5.8.1' (Makefile.PL:1).

TODO: Use '%{make_build}' instead if 'make %{?_smp_mflags}'. This is a new recommended style <https://docs.fedoraproject.org/en-US/packaging-guidelines/#_parallel_make>.
TODO: Add '>= 6.76' to perl(ExtUtils::MakeMaker) dependency, 'NO_PACKLIST=1 NO_PERLLOCAL=1' to 'perl Makefile.PL' command and call '%{make_install}' instead of 'make pure_install DESTDIR=%{buildroot}' (a new recommend style <https://docs.fedoraproject.org/en-US/packaging-guidelines/#_macros>) and remove the find command.

TODO: Do not build-require 'perl(Time::HiRes)'. It's not used because 
t/_dict.rx file does not exist (alternatively you can try to generate the file using a t/dict2rx.pl scrip as shown in t/01-dict.t's BEGIN block.

$ rpmlint perl-Regexp-Trie.spec ../SRPMS/perl-Regexp-Trie-0.02-1.fc30.src.rpm ../RPMS/noarch/perl-Regexp-Trie-0.02-1.fc30.noarch.rpm 
perl-Regexp-Trie.src: W: spelling-error Summary(en_US) ized -> zed, sized, iced
perl-Regexp-Trie.src: W: spelling-error %description -l en_US ized -> zed, sized, iced
perl-Regexp-Trie.src: W: spelling-error %description -l en_US a's -> A's, as, la's
perl-Regexp-Trie.noarch: W: spelling-error Summary(en_US) ized -> zed, sized, iced
perl-Regexp-Trie.noarch: W: spelling-error %description -l en_US ized -> zed, sized, iced
perl-Regexp-Trie.noarch: W: spelling-error %description -l en_US a's -> A's, as, la's
2 packages and 1 specfiles checked; 0 errors, 6 warnings.
rpmlint is Ok.

$ rpm -q -lv -p  ../RPMS/noarch/perl-Regexp-Trie-0.02-1.fc30.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Feb  5 09:14 /usr/share/doc/perl-Regexp-Trie
-rw-r--r--    1 root    root                      340 Apr 27  2006 /usr/share/doc/perl-Regexp-Trie/Changes
-rw-r--r--    1 root    root                     1276 Apr 27  2006 /usr/share/doc/perl-Regexp-Trie/README
-rw-r--r--    1 root    root                     1797 Feb  5 09:14 /usr/share/man/man3/Regexp::Trie.3pm.gz
drwxr-xr-x    2 root    root                        0 Feb  5 09:14 /usr/share/perl5/vendor_perl/Regexp
-rw-r--r--    1 root    root                     2644 Apr 27  2006 /usr/share/perl5/vendor_perl/Regexp/Trie.pm
File layout and permissions are Ok.

$ rpm -q --requires -p  ../RPMS/noarch/perl-Regexp-Trie-0.02-1.fc30.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.28.1)
      1 perl(:VERSION) >= 5.8.1
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p  ../RPMS/noarch/perl-Regexp-Trie-0.02-1.fc30.noarch.rpm | sort -f | uniq -c
      1 perl(Regexp::Trie) = 0.2
      1 perl-Regexp-Trie = 0.02-1.fc30
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Regexp-Trie-0.02-1.fc30.noarch.rpm 
Binary dependencies are resolvable. Ok.

Otherwise the package is in line with Fedora and Perl packaging guide lines.

Please consider fixing the 'TODO' items before building this package.
Resolution: Package APPROVED.

Comment 2 Paul Howarth 2019-02-05 13:56:35 UTC
(In reply to Petr Pisar from comment #1)
> TODO: Do not build-require 'coreutils'. I cannot see where it could be used.

%{_fixperms} is implemented using chmod, which comes from coreutils.

> TODO: Build-require 'perl(:VERSION) >= 5.8.1' (Makefile.PL:1).

As this is a very old distribution with few dependencies, I'm intending to build it for EPEL-6 as well as Fedora and EPEL-7. The perl(:VERSION) virtual dependency isn't available in EPEL-6. And even when EL-5 was still supported, all current Fedoras and EL releases would have a sufficiently recent version so I don't think this is a big miss.

> TODO: Use '%{make_build}' instead if 'make %{?_smp_mflags}'. This is a new
> recommended style
> <https://docs.fedoraproject.org/en-US/packaging-guidelines/#_parallel_make>.

Again, this doesn't work in EPEL-6 but I'll bear it in mind for other packages that aren't targeting such an old release.

> TODO: Add '>= 6.76' to perl(ExtUtils::MakeMaker) dependency, 'NO_PACKLIST=1
> NO_PERLLOCAL=1' to 'perl Makefile.PL' command and call '%{make_install}'
> instead of 'make pure_install DESTDIR=%{buildroot}' (a new recommend style
> <https://docs.fedoraproject.org/en-US/packaging-guidelines/#_macros>) and
> remove the find command.

I can do this Fedora-only packages.

> TODO: Do not build-require 'perl(Time::HiRes)'. It's not used because 
> t/_dict.rx file does not exist (alternatively you can try to generate the
> file using a t/dict2rx.pl scrip as shown in t/01-dict.t's BEGIN block.

In the -2 release I have fixed this test and run it after the main test suite (as it needs a parameter passing to it). It takes quite a while to run: on my i7 builder it takes 3-5 minutes on EPEL-7 and Fedora but almost 15 minutes on EPEL-6.

Thanks for the review Petr.

Comment 3 Gwyn Ciesla 2019-02-05 14:19:06 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Regexp-Trie

Comment 4 Fedora Update System 2019-02-05 16:35:24 UTC
perl-Regexp-Trie-0.02-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9bfd640fef

Comment 5 Fedora Update System 2019-02-05 16:35:27 UTC
perl-Regexp-Trie-0.02-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-291a16510c

Comment 6 Fedora Update System 2019-02-05 16:35:30 UTC
perl-Regexp-Trie-0.02-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2e81a7f560

Comment 7 Fedora Update System 2019-02-05 16:35:33 UTC
perl-Regexp-Trie-0.02-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bd6a09ac17

Comment 8 Fedora Update System 2019-02-06 04:35:20 UTC
perl-Regexp-Trie-0.02-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2e81a7f560

Comment 9 Fedora Update System 2019-02-06 16:06:46 UTC
perl-Perl-PrereqScanner-NotQuiteLite-0.9903-2.fc29 perl-Regexp-Trie-0.02-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2e81a7f560

Comment 10 Fedora Update System 2019-02-07 23:42:35 UTC
perl-Regexp-Trie-0.02-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-9bfd640fef

Comment 11 Fedora Update System 2019-02-08 00:26:17 UTC
perl-Regexp-Trie-0.02-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-291a16510c

Comment 12 Fedora Update System 2019-02-08 02:15:30 UTC
perl-Regexp-Trie-0.02-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bd6a09ac17

Comment 13 Fedora Update System 2019-02-10 04:27:13 UTC
perl-Perl-PrereqScanner-NotQuiteLite-0.9903-2.fc29, perl-Regexp-Trie-0.02-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2e81a7f560

Comment 14 Fedora Update System 2019-02-16 01:24:27 UTC
perl-Regexp-Trie-0.02-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-02-18 02:03:46 UTC
perl-Perl-PrereqScanner-NotQuiteLite-0.9903-2.fc29, perl-Regexp-Trie-0.02-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-02-23 02:49:58 UTC
perl-Regexp-Trie-0.02-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-02-23 02:53:51 UTC
perl-Regexp-Trie-0.02-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.